﻿@model Innovix_task.Data.Entities.Reservation

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Reservation</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="GuestId" class="control-label"></label>
                <select asp-for="GuestId" class="form-control" asp-items="ViewBag.GuestId"></select>
                <span asp-validation-for="GuestId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="RoomId" class="control-label"></label>
                <select asp-for="RoomId" class="form-control" asp-items="ViewBag.RoomId"></select>
                <span asp-validation-for="RoomId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="From" class="control-label"></label>
                <input asp-for="From" class="form-control" />
                <span asp-validation-for="From" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="To" class="control-label"></label>
                <input asp-for="To" class="form-control" />
                <span asp-validation-for="To" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="AdultsNumber" class="control-label"></label>
                <input asp-for="AdultsNumber" class="form-control" />
                <span asp-validation-for="AdultsNumber" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ChildsNumber" class="control-label"></label>
                <input asp-for="ChildsNumber" class="form-control" />
                <span asp-validation-for="ChildsNumber" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="IsFinished" /> @Html.DisplayNameFor(model => model.IsFinished)
                </label>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="IsPaid" /> @Html.DisplayNameFor(model => model.IsPaid)
                </label>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
